*,
*::after,
*::before {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0px;
  padding: 0px;

  -webkit-text-size-adjust: 100%;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0) !important;
          tap-highlight-color: rgba(0, 0, 0, 0) !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*:focus {
  outline: 0px;
}

html,
body {
  min-width: 320px;
  min-height: 100%;
  min-height: 100%;

  font-family: "proxima-nova", "Open Sans", Arial, Helvetica, sans-serif;
  font-weight: normal;
  font-size: 62.5%;

  color: #656b6c;
}

body {
  overflow-x: hidden;

  min-height: 100%;

  background-color: white;
}

::-moz-selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

::selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

a {
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;

  text-align: center;
}

strong {
  font-weight: 600;
}

.section-box {
  width: 960px;
  margin: 0px auto;
}

#main-header {
  overflow-x: hidden;

  position: relative;

  width: 100%;
  height: 90vh;
  min-height: 700px;
  max-height: 1500px;

  background: #3e394a url("../images/header-background.jpg");
  background-size: cover;
}

.main-mobile-menu-btn {
  display: none;

  position: absolute;
  z-index: 9999;
  top: 10px;
  left: 10px;

  width: 45px;
  height: 45px;
}

.main-mobile-menu-btn:hover span {
  opacity: 0.8;
}

.main-mobile-menu-btn a {
  display: block;

  width: 100%;
  height: 100%;
}

.main-mobile-menu-btn span {
  display: block;

  position: absolute;
  left: 50%;

  width: 50%;
  height: 3px;

  -webkit-transition: all 0.4s;
          transition: all 0.4s;
  -webkit-transform: translateX(-50%) rotate(0deg);
      -ms-transform: translateX(-50%) rotate(0deg);
          transform: translateX(-50%) rotate(0deg);

  opacity: 1;
  -webkit-border-radius: 10px;
          border-radius: 10px;
  background-color: white;
}

.main-mobile-menu-btn span:nth-child(1) {
  top: 15px;
}

.main-mobile-menu-btn span:nth-child(2) {
  top: 22px;
}

.main-mobile-menu-btn span:nth-child(3) {
  top: 29px;
}

.main-mobile-menu-btn.open span:nth-child(1) {
  top: 50%;

  -webkit-transform: translateY(-50%) rotate(135deg);
      -ms-transform: translateY(-50%) rotate(135deg);
          transform: translateY(-50%) rotate(135deg);
}

.main-mobile-menu-btn.open span:nth-child(2) {
  -webkit-transform: translateX(-100%);
      -ms-transform: translateX(-10%);
          transform: translateX(-10%);

  opacity: 0;
}

.main-mobile-menu-btn.open span:nth-child(3) {
  top: 50%;

  -webkit-transform: translateY(-50%) rotate(-135deg);
      -ms-transform: translateY(-50%) rotate(-135deg);
          transform: translateY(-50%) rotate(-135deg);
}

#main-header #main-nav-wrapper {
  font-size: 1.75rem;
}

#main-header #main-nav-wrapper #logo-text {
  float: left;

  margin: 6px 0px;
  margin-left: 15px;

  font-family: "Open Sans";
  font-size: 5rem;
  font-weight: bold;

  color: #edc218;
}

#main-header #main-nav-wrapper #logo-text span.color-red {
  color: #f1547c;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu  {
  float: right;

  margin-top: 35px;
  margin-right: 20px;

  list-style-type: none;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li {
  display: inline-block;

  margin: 0px 10px;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li::before {
  position: absolute;

  margin-left: -16px;

  content: "•";
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li:first-of-type::before {
  content: initial;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a,
#main-header #main-nav-wrapper #main-nav ul#main-menu li a:link {
  color: white;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a::after {
  display: block;

  position: relative;
  top: 3px;

  width: 0px;
  height: 1px;
  margin: auto;

  content: "";
  -webkit-transition: all 0.3s;
          transition: all 0.3s;

  background: transparent;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a:hover {
  color: white;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a:active {
  color: #a7a6b3;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a:hover::after {
  width: 100%;

  background-color: #dae8f1;
}

#main-header #main-nav-wrapper #main-nav ul#main-menu li a:active::after {
  background-color: #a7a6b3;
}

#main-mobile-nav {
  width: 100%;
  color: white;
  background-color: #2f3038;
  -webkit-box-shadow: inset 4px 0px 0px 0px #599bf8;
          box-shadow: inset 4px 0px 0px 0px #599bf8;
}

#main-mobile-nav,
#main-mobile-nav ul {
  height: 100%;

  list-style: none;
}

#main-mobile-nav ul {
  position: relative;

  height: initial;
  margin-top: 30px;

  border-top: 1px solid #54586b;
  border-bottom: 1px solid #54586b;
}

#main-mobile-nav ul::before {
  position: absolute;
  top: -25px;

  margin-left: 20px;

  font-size: 1.15rem;
  font-weight: bold;

  content: "Menu";
  text-transform: uppercase;

  color: #a8abb9;
}

#main-mobile-nav li  {
  position: relative;

  background-color: #414350;
}

#main-mobile-nav li:not(:last-child)::after  {
  position: absolute;
  right: 0px;
  bottom: 0px;
  left: 50px;

  content: "";

  border-bottom: 1px solid #54586b;
}

#main-mobile-nav li a,
#main-mobile-nav li a:link,
#main-mobile-nav li a:visited {
  display: -webkit-flex !important;

  padding: 10px 15px;

  font-size: 1.4rem;
  line-height: 2em;

  text-decoration: none;

  color: #f4f5f7;

  -webkit-align-items: center;
  -ms-flex-align: center;
  -webkit-box-align: center;
          align-items: center;
}

#main-mobile-nav li a:hover,
#main-mobile-nav li a:focus {
  color: #e02d5a;
  background-color: rgba(0, 0, 0, 0.1);
}

#main-mobile-nav li a:active {
  font-weight: bold;

  color: white;
  background-color: #e02d5a;
}

#main-mobile-nav li:active:not(:last-child)::after  {
  content: "";

  border-bottom: 0px;
}

#main-header #main-logo {
  position: absolute;
  top: 15%;
  left: 50%;

  max-width: 310px;
  max-height: 227px;

  -webkit-transform: translateX(-28%);
      -ms-transform: translateX(-28%);
          transform: translateX(-28%);
}

#main-header #main-headings {
  position: absolute;
  top: 40%;
  left: 50%;

  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);

  color: white;
}

#main-header #main-headings h1,
#main-header #main-headings h2 {
  max-width: 97%;
  margin: 0px auto;
}

#main-header #main-headings h1 {
  font-size: 4.5rem;
  font-weight: 600;
  line-height: 4.5rem;

  text-transform: uppercase;

  color: #edc218;
}

#main-header #main-headings h2 {
  margin-top: 0.5%;

  font-size: 3rem;
}

#main-header #main-button {
  position: absolute;
  bottom: 27%;
  left: 50%;

  width: 200px;
  height: 55px;

  font-family: inherit;
  font-size: 1.6rem;

  cursor: pointer;
  -webkit-transition: all 0.3s;
          transition: all 0.3s;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);

  color: white;
  border: none;
  -webkit-border-radius: 45px;
          border-radius: 45px;
  background-color: #e02d5a;
  -webkit-box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
          box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
}

#main-header #main-button:hover,
#main-header #main-button:focus {
  background-color: #e62959;
  -webkit-box-shadow: 0px 5px 25px rgba(224, 45, 90, 1);
          box-shadow: 0px 5px 25px rgba(224, 45, 90, 1);
}

#main-header #main-button:active {
  bottom: 26%;

  background-color: #c72951;
  -webkit-box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
          box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
}

#main-header #main-button::before {
  position: absolute;
  bottom: 70px;

  width: 100%;
  margin-left: -75%;

  font-size: 2.2rem;

  content: "Подпишись на тестовую бета версию";
  text-align: center;
  white-space: nowrap;
}

@-webkit-keyframes scrollArrayAnimation {
  from {
    -webkit-transform: translateX(-50%) translateY(8%);
            transform: translateX(-50%) translateY(8%);
  }
  to {
    -webkit-transform: translateX(-50%) translateY(-8%);
            transform: translateX(-50%) translateY(-8%);
  }
}

@keyframes scrollArrayAnimation {
  from {
    -webkit-transform: translateX(-50%) translateY(8%);
            transform: translateX(-50%) translateY(8%);
  }
  to {
    -webkit-transform: translateX(-50%) translateY(-8%);
            transform: translateX(-50%) translateY(-8%);
  }
}

#main-header .perc {
  position: absolute;
  bottom: 20%;
  left: 52%;
}

#main-header .scroll-array {
  position: absolute;
  bottom: 5%;
  left: 50%;

  width: 49px;
  height: 49px;

  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
  -webkit-animation: scrollArrayAnimation 0.4s linear infinite alternate;
          animation: scrollArrayAnimation 0.4s linear infinite alternate;

  opacity: 0.7;
  background-image: url("../images/scroll-array.png");
  background-size: cover;
}

#main-header .scroll-array:focus,
#main-header .scroll-array:hover {
  opacity: 1;
}

#features-wrapper {
  background-color: #f5f8f9;
}

#features {
  padding-bottom: 30px;
}

#column-feat-wrapper {
  position: relative;
}

#features .column {
  display: inline-block;
  float: left;

  width: 33%;
  padding: 45px 30px;

  text-align: center;
}

#features .column img {
  max-width: 166px;
  height: auto;
}

#main-content {
  background: url("../images/plane-moving.png") 50% 20% no-repeat fixed;
}

#features > h1,
#main-content > h1 {
  padding: 50px 0px 15px 0px;

  font-size: 4rem;

  color: #303048;
}

#main-content > h1:first-of-type {
  background-color: white;
}

#features > h2 {
  font-size: 2rem;

  color: #707779;
}

#features .column h3 {
  padding: 10px 0px;

  font-size: 3rem;

  color: #303048;
}

#features .column p {
  max-width: 260px;
  margin: 0px auto;

  font-size: 1.8rem;
  font-weight: 600;

  color: #3f3c49;
}

#cheap-bar-wrapper {
  border-bottom: 30px solid #dcb210;
  background-color: #edc218;
}

#cheap-bar::before,
#devices-bar::before {
  position: absolute;
  left: 50%;

  width: 0px;
  height: 0px;

  content: "";
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);

  border-width: 45px 45px 0px 45px;
  border-style: solid;
  border-color: #f5f8f9 transparent transparent transparent;
}

.bar div.bar-div .no-wrap {
  white-space: nowrap;
}

.bar img {
  float: left;

  width: auto;
  max-height: 260px;
  padding: 45px 0px 20px 0px;
}

.bar div.bar-div {
  float: left;

  max-width: 495px;
  margin-top: 80px;
  margin-bottom: 40px;
  margin-left: 60px;

  font-size: 3rem;

  color: white;
}

.cleaner {
  clear: both;
}

.dots {
  position: relative;
  left: 50%;

  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
}

.dots .dot {
  position: relative;
  left: 50%;

  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  width: 10px;
  height: 10px;
  margin: 15px 0px;

  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);

  border: 5px solid white;
  -webkit-border-radius: 50%;
          border-radius: 50%;
  background-color: #e7e9ea;
}

.dots .dot:nth-of-type(3) {
  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  padding: 8px;

  font-size: 1.8rem;
  line-height: 1rem;

  text-align: center;

  color: white;
  background-color: #00a2d3;
}

#main-content .img-desc-wrapper {
  float: left;

  max-width: 360px;
  margin-top: 100px;
  padding: 0px 15px;
}

#main-content .img-desc-wrapper > h2 {
  font-size: 2.5rem;

  text-align: left;
}

#main-content #imagine .img-desc-wrapper > h2 {
  margin-bottom: 30px;

  color: #00799d;
}

#main-content .img-desc-wrapper > p {
  font-size: 1.75rem;

  text-align: left;
}

#main-content img {
  float: right;

  position: absolute;

  width: 100%;
  max-width: 670px;
  height: auto;
}

#main-content .dots.second-d {
  margin-top: 120px;
}

#main-content .dots.second-d .dot:nth-of-type(3) {
  background-color: #0a0;
}

#main-content #preview img {
  float: left;
}

#main-content #preview .img-desc-wrapper {
  float: right;

  margin-right: -130px;
}

#main-content #preview .img-desc-wrapper > h2 {
  margin-bottom: 30px;

  color: #068700;
}

#main-content .dots.third-d {
  margin-top: 430px;
}

#main-content .dots.third-d .dot:nth-of-type(3) {
  background-color: #ff0012;
}

#main-content #enjoy .img-desc-wrapper > h2 {
  margin-bottom: 30px;

  color: #cf000f;
}

#devices-bar-wrapper {
  margin-top: 400px;

  border-bottom: 30px solid #a53339;
  background-color: #d64249;
}

#devices-bar::before {
  border-color: white transparent transparent transparent;
}

#happy-guys-wrapper {
  position: relative;

  height: 720px;
}

#final-bottom-text {
  position: absolute;
  right: 43%;
  bottom: 300px;

  font-size: 4rem;

  color: #303048;
}

#final-bottom-text div:nth-child(2) {
  margin-right: 15%;

  text-align: right;
}

#happy-guys {
  position: relative;

  height: 100%;
}

#happy-guys > img {
  position: absolute;
  right: -200px;
  bottom: -10px;
}

#main-footer-wrapper {
  position: relative;
  min-height: 430px;

  background-color: #303048;
}

#main-footer {
  padding-bottom: 50px;
}

#main-footer h1 {
  padding-top: 100px;

  font-size: 3rem;

  color: white;
}

#main-footer h2 {
  font-size: 2rem;

  color: white;
}

@keyframes successAnimationText {
  0% {
    opacity: 1;
    color: #FDBC0C;
  }

  10% {
    color: #FDBC0C;
  }

  25% {
    color: white;
  }

  90% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.successAnimationActive {
  animation: 4s successAnimationText;
}

#main-footer h2#success-text {
  position: relative;
  bottom: 25px;
  width: 100%;
  opacity: 0;
}

#main-footer h2 > span {
  color: #e02d5a;
}

#main-footer h2 > span > strong {
  font-weight: bold;
}

#main-footer .input-group {
  margin-top: 40px;
  padding-bottom: 40px;

  text-align: center;
}

#main-footer .input-group input {
  min-width: 300px;
  margin: 5px;
  padding: 20px;

  font-size: 1.8rem;

  border: none;
  -webkit-border-radius: 4px;
          border-radius: 4px;

  -webkit-appearance: none;
}

#main-footer .input-group input[type="submit"] {
  cursor: pointer;
  -webkit-transition: all 0.3s;
          transition: all 0.3s;

  color: white;
  background-color: #e02d5a;
  -webkit-box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
          box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
}

#main-footer .input-group input[type="text"]:focus,
#main-footer .input-group input[type="email"]:focus {
  -webkit-box-shadow: 0px 0px 10px #9b9bca;
          box-shadow: 0px 0px 10px #9b9bca;
}

#main-footer .input-group input[type="submit"]:hover,
#main-footer .input-group input[type="submit"]:focus {
  background-color: #e62959;
  -webkit-box-shadow: 0px 5px 25px rgba(224, 45, 90, 0.5);
          box-shadow: 0px 5px 25px rgba(224, 45, 90, 0.5);
}

#main-footer .input-group input[type="submit"]:active {
  background-color: #c72951;
  -webkit-box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
          box-shadow: 0px 5px 10px rgba(224, 45, 90, 0.3);
}

/*** responsive design ***/

@media screen and (max-width: 1400px) {
  #final-bottom-text {
    right: 48%;
  }

  #happy-guys > img {
    right: -100px;
  }
}

@media screen and (max-width: 1200px) {
  #main-header .perc {
    position: absolute;
    bottom: 14%;
    left: 52%;

    width: 250px;
  }

  #final-bottom-text {
    right: 55%;

    font-size: 3rem;
  }

  .section-box {
    width: 900px;
  }

  #main-header #main-button {
    bottom: 20%;
  }

  #main-header #main-button:active {
    bottom: 19%;
  }

  #preview img {
    -webkit-transform: translateX(-25%);
        -ms-transform: translateX(-25%);
            transform: translateX(-25%);
  }

  #main-content img {
    width: 70%;
    height: auto;
  }

  #happy-guys > img {
    right: -40px;
  }

  #main-content #preview .img-desc-wrapper {
    margin-right: 30px;
  }

  #features,
  #main-footer {
    padding: 0px 15px;
  }
}

@media screen and (max-width: 865px) {
  #main-header #main-nav-wrapper #logo-text {
    float: none;

    margin: 0px auto;
    padding-top: 10px;

    font-size: 4rem;

    text-align: center;
  }

  #main-header #main-nav-wrapper #main-nav ul#main-menu {
    float: none;

    width: 100%;
    margin-top: 4px;

    text-align: center;
  }

  #final-bottom-text {
    right: initial;
    left: 50%;

    width: 100%;

    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
  }

  #final-bottom-text div:nth-child(1),
  #final-bottom-text div:nth-child(2) {
    margin: 0px 15px;

    text-align: center;
  }

  .section-box {
    width: 100%;
  }

  #main-content .dots.third-d {
    margin-top: 310px;
  }

  #main-content #preview .img-desc-wrapper {
    margin-right: 0px;
  }

  .bar div.bar-div {
    max-width: 385px;

    font-size: 2.5rem;
  }

  .bar div.bar-div .no-wrap {
    white-space: initial;
  }

  #happy-guys img {
    right: 50%;
    bottom: -7px;

    width: 70%;
    min-width: 400px;

    -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
            transform: translateX(50%);
  }
}

@media screen and (max-width: 800px) {
  #main-header #main-headings h1 {
    font-size: 3.5rem;
  }

  #main-header #main-headings h2 {
    font-size: 2.5rem;
  }

  #features .column.col-feat1,
  #features .column.col-feat2 {
    width: 49%;
  }

  #features .column.col-feat3 {
    width: 100%;
  }

  .bar {
    padding: 0px 15px;
    padding-bottom: 40px;

    text-align: center;
  }

  .bar img {
    float: initial;

    padding: 75px 0px 20px 0px;
  }

  .bar div.bar-div {
    max-width: initial;
    margin: 0px;
  }

  #main-content {
    background: initial;
  }

  #main-content .img-desc-wrapper,
  #main-content img {
    float: none;

    position: initial;

    width: 100%;
    max-width: initial;
    margin: initial;
    padding: 15px;

    -webkit-transform: initial;
        -ms-transform: initial;
            transform: initial;
  }

  #main-content .img-desc-wrapper {
    padding: 15px 25px;
  }

  #main-content .dots.first-d,
  #main-content .dots.second-d,
  #main-content .dots.third-d
  {
    margin: 0px;
  }

  #devices-bar-wrapper {
    margin-top: 40px;
  }

  #happy-guys-wrapper {
    height: 420px;
  }

  #happy-guys {
    overflow: hidden;
  }
}

@media screen and (max-width: 650px) {
  #main-header .perc {
    display: none;
  }

  #final-bottom-text {
    bottom: 250px;
  }

  .main-mobile-menu-btn {
    display: block;

    cursor: pointer;
  }

  #main-header #main-logo {
    top: 10%;

    max-width: 75%;
  }

  #main-header #main-nav-wrapper #main-nav ul#main-menu {
    display: none;
  }

  #main-header #main-headings {
    top: 35%;
  }

  #main-header #main-headings h1 {
    font-size: 2.8rem;
    line-height: 2.9rem;
  }

  #main-header #main-headings h2 {
    margin-top: 8%;

    font-size: 2.0rem;
  }

  #main-header .scroll-array {
    width: 30px;
    height: 30px;
  }

  #features .column.col-feat1,
  #features .column.col-feat2,
  #features .column.col-feat3  {
    width: 100%;
  }

  .bar img {
    width: 50%;
  }

  #features > h2 {
    font-size: 1.75rem;
  }

  #features .column img {
    width: 50%;
    height: auto;
  }

  #main-header #main-button {
    bottom: 15%;
  }

  #main-header #main-button:active {
    bottom: 14%;
  }

  #main-footer .input-group input {
    min-width: 60%;
  }
}

@media screen and (max-width: 650px) {
  #main-header #main-button::before {
    margin-left: -65%;
  }

  #features .column.col-feat1,
  #features .column.col-feat2 {
    padding-bottom: 10px;
  }

  #main-footer .input-group input {
    min-width: 90%;
  }

  #main-footer h1 {
    padding-bottom: 20px;
  }

  #main-header #main-button::before {
    font-size: 2rem;
  }
}


@media screen and (max-width: 650px) {
  #main-header #main-button::before {
    margin-left: -65%;
  }

  #features .column.col-feat1,
  #features .column.col-feat2 {
    padding-bottom: 10px;
  }

  #main-footer .input-group input {
    min-width: 90%;
  }

  #main-footer h1 {
    padding-bottom: 20px;
  }

  #main-header #main-button::before {
    font-size: 2rem;
  }
}

@media screen and (max-width: 415px) {
  #main-header #main-button::before {
    width: 125%;
    margin-left: -40%;
    white-space: normal;
  }
}

